# Get payout methods Returns a list of payout methods created by a receiving partner. Endpoint: GET /config/payout_methods Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of payments to return per page. ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) - `content.payout_method_id` (string) Unique identifier of a payout method. Example: "a6dbe002-ca7f-4ec7-89e4-f44a1971a0c0" - `content.payout_method` (string) Unique string to identify the payout method. Example: "LOCAL_RAILS" - `content.description` (string) User defined description of a payout method. Example: "local rails" - `content.is_default` (boolean) Flag to set this payout method as the default payout method. - `content.payout_method_category` (string) Category of the payout method. Defaults to OTHER if not specified. Enum: "REAL_TIME_GROSS_SETTLEMENT_SYSTEM", "REAL_TIME_NET_SETTLEMENT_SYSTEM", "MASS_NET_PAYMENT_SYSTEM", "BOOK_TRANSFER", "CASH_PAYOUT", "WALLET_PAYMENT", "OTHER" - `content.estimated_time_to_credit` (object) The estimated time to credit the beneficiary using this payout method. - `content.estimated_time_to_credit.time_value` (integer, required) The amount of estimated time to credit. Example: 5 - `content.estimated_time_to_credit.time_unit` (string, required) Unit of the estimated time to credit: SECONDS, MINUTES, HOURS, DAYS. Enum: "SECONDS", "MINUTES", "HOURS", "DAYS" ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"